%define name CodeCommander
%define version 0.3.19
%define release 1mdk

Name:		%{name}
Summary:	CodeCommander - The Ultimate Programming IDE
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Editors
URL:		http://CodeCommander.sourceforge.net/
Vendor:		MandrakeSoft
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
Code Commander is a simple text editing tool for editing nearly any type of 
source code.


%prep
%setup -q

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

make


%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
cp AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

cd $RPM_BUILD_ROOT
#find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
#	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
       -e '/\/etc\//s|^|%config|' \
       -e '/\/config\//s|^|%config|' \
       > $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu/
cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/CodeCommander
?package(CodeCommander):command="CodeCommander" \
icon="none" \
needs="X11" \
section="Applications/Development/Development environments" \
title="Code Commander"
EOF

%post
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%postun
if [ -x /usr/bin/update-menus ]; then
	update-menus
fi

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f ../file.list.%{name}
%defattr(-,root,root,0755)
%dir /usr/doc/%{name}-%{version}
%dir /usr/share/CodeCommander
%dir /usr/share/CodeCommander/docs
%dir /usr/share/CodeCommander/languages
/usr/lib/menu/CodeCommander

%changelog
* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 0.3.19-1mdk
- Update 0.3.19
- Menu Entry

* Tue Feb 29 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.7

* Sat Feb 26 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
